geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jsis...@apache.org
Subject svn commit: r355032 - in /geronimo/trunk: assemblies/j2ee-jetty-server/src/var/temp/ assemblies/j2ee-tomcat-server/src/var/temp/ modules/scripts/src/resources/bin/ modules/system/src/java/org/apache/geronimo/system/main/
Date Thu, 08 Dec 2005 07:51:12 GMT
Author: jsisson
Date: Wed Dec  7 23:50:47 2005
New Revision: 355032

URL: http://svn.apache.org/viewcvs?rev=355032&view=rev
Log:
GERONIMO-1166 Provide Tomcat like startup and shutdown scripts (see mail thread http://www.mail-archive.com/dev@geronimo.apache.org/msg12524.html
).  The new scripts also allow Geronimo to be launched in the background.
You can either use the geronimo.sh/bat script (most friendly for new users) or can call the
startup.sh/bat or shutdown.sh/bat scripts directly (just like Tomcat).

Added:
    geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/
    geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/README.txt
    geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/
    geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/README.txt
Modified:
    geronimo/trunk/modules/scripts/src/resources/bin/shutdown.bat
    geronimo/trunk/modules/scripts/src/resources/bin/shutdown.sh
    geronimo/trunk/modules/scripts/src/resources/bin/startup.bat
    geronimo/trunk/modules/scripts/src/resources/bin/startup.sh
    geronimo/trunk/modules/system/src/java/org/apache/geronimo/system/main/Daemon.java

Added: geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/README.txt
URL: http://svn.apache.org/viewcvs/geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/README.txt?rev=355032&view=auto
==============================================================================
--- geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/README.txt (added)
+++ geronimo/trunk/assemblies/j2ee-jetty-server/src/var/temp/README.txt Wed Dec  7 23:50:47
2005
@@ -0,0 +1,10 @@
+This temp directory is used by the JVM for temporary file storage.
+The JVM is configured to use this as its java.io.tmpdir in the
+geronimo.sh and geronimo.bat scripts.  Geronimo is configured to use
+this temporary directory rather than its default for security reasons.
+The temp directory must exist for Tomcat to work correctly.
+
+This file is also included in the distribution to prevent problems with users
+who download the zip or tar.gz distribution and extract it with WinZip.
+Some versions of WinZIP decide it is not necessary to create the directory 
+because it is empty.
\ No newline at end of file

Added: geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/README.txt
URL: http://svn.apache.org/viewcvs/geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/README.txt?rev=355032&view=auto
==============================================================================
--- geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/README.txt (added)
+++ geronimo/trunk/assemblies/j2ee-tomcat-server/src/var/temp/README.txt Wed Dec  7 23:50:47
2005
@@ -0,0 +1,10 @@
+This temp directory is used by the JVM for temporary file storage.
+The JVM is configured to use this as its java.io.tmpdir in the
+geronimo.sh and geronimo.bat scripts.  Geronimo is configured to use
+this temporary directory rather than its default for security reasons.
+The temp directory must exist for Tomcat to work correctly.
+
+This file is also included in the distribution to prevent problems with users
+who download the zip or tar.gz distribution and extract it with WinZip.
+Some versions of WinZIP decide it is not necessary to create the directory 
+because it is empty.
\ No newline at end of file

Modified: geronimo/trunk/modules/scripts/src/resources/bin/shutdown.bat
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/scripts/src/resources/bin/shutdown.bat?rev=355032&r1=355031&r2=355032&view=diff
==============================================================================
--- geronimo/trunk/modules/scripts/src/resources/bin/shutdown.bat (original)
+++ geronimo/trunk/modules/scripts/src/resources/bin/shutdown.bat Wed Dec  7 23:50:47 2005
@@ -1,78 +1,77 @@
-@rem
-@rem  Copyright 2005 The Apache Software Foundation
-@rem
-@rem   Licensed under the Apache License, Version 2.0 (the "License");
-@rem   you may not use this file except in compliance with the License.
-@rem   You may obtain a copy of the License at
-@rem
-@rem      http://www.apache.org/licenses/LICENSE-2.0
-@rem
-@rem   Unless required by applicable law or agreed to in writing, software
-@rem   distributed under the License is distributed on an "AS IS" BASIS,
-@rem   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-@rem   See the License for the specific language governing permissions and
-@rem   limitations under the License.
-@rem
-@rem --------------------------------------------------------------------
-@rem $Rev$ $Date$
-@rem --------------------------------------------------------------------
 @echo off
+rem
+rem  Copyright 2005 The Apache Software Foundation
+rem
+rem   Licensed under the Apache License, Version 2.0 (the "License");
+rem   you may not use this file except in compliance with the License.
+rem   You may obtain a copy of the License at
+rem
+rem      http://www.apache.org/licenses/LICENSE-2.0
+rem
+rem   Unless required by applicable law or agreed to in writing, software
+rem   distributed under the License is distributed on an "AS IS" BASIS,
+rem   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+rem   See the License for the specific language governing permissions and
+rem   limitations under the License.
+rem
+rem --------------------------------------------------------------------
+rem $Rev$ $Date$
+rem --------------------------------------------------------------------
+rem
+rem --------------------------------------------------------------------
+rem Shutdown batch file for Geronimo.
+rem
+rem This batch file calls the geronimo.bat script passing "stop" as the
+rem first argument followed by the arguments supplied by the caller.
+rem
+rem Refer to the documentation in the geronimo.bat file for information
+rem on environment variables etc.
+rem
+rem This batch file is based upon Tomcat's shutdown.bat file to enable
+rem those familiar with Tomcat to easily stop Geronimo.
+rem 
+rem Alternatively you can use the more comprehensive geronimo.bat file 
+rem directly.
+rem
+rem Usage:  shutdown [geronimo_args ...]
+rem
+rem $Rev$ $Date$
+rem --------------------------------------------------------------------
+if "%OS%" == "Windows_NT" setlocal
+
+rem Guess GERONIMO_HOME if not defined
+set CURRENT_DIR=%cd%
+if not "%GERONIMO_HOME%" == "" goto gotHome
+set GERONIMO_HOME=%CURRENT_DIR%
+if exist "%GERONIMO_HOME%\bin\geronimo.bat" goto okHome
+cd ..
+set GERONIMO_HOME=%cd%
+cd %CURRENT_DIR%
+:gotHome
+if exist "%GERONIMO_HOME%\bin\geronimo.bat" goto okHome
+echo The GERONIMO_HOME environment variable is not defined correctly
+echo This environment variable is needed to run this program
+goto end
+:okHome
+
+set EXECUTABLE=%GERONIMO_HOME%\bin\geronimo.bat
+
+rem Check that target executable exists
+if exist "%EXECUTABLE%" goto okExec
+echo Cannot find %EXECUTABLE%
+echo This file is needed to run this program
+goto end
+:okExec
+
+rem Get remaining unshifted command line arguments and save them in the
+set CMD_LINE_ARGS=
+:setArgs
+if ""%1""=="""" goto doneSetArgs
+set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
+shift
+goto setArgs
+:doneSetArgs
 
-@rem Verify we are running on Windows XP or Server
-if not "%OS%"=="Windows_NT" goto FailOS
-setlocal
-goto Init
-
-:FailOS
-echo Error - Unrecognized OS type.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:Init
-@rem Capture any passed in arguments
-set ARGS=%*
-@rem Capture the current dir the script was started in
-set CUR_DIR="%cd%"
-for %%z in (%CUR_DIR%) do set CUR_DIR=%%~sz
-
-@rem Set the path to the shutdown.jar
-set SHUTDOWN_JAR="%~dp0shutdown.jar"
-for %%z in (%SHUTDOWN_JAR%) do set SHUTDOWN_JAR=%%~sz
-
-:CheckDeployerJar
-@rem Verify the shutdown.jar exists:
-if exist "%SHUTDOWN_JAR%" goto CheckJavaHome
-echo Error - Unable to locate the deployer jar file.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:CheckJavaHome
-for %%z in ("%JAVA_HOME%") do set JAVA_HOME=%%~sz
-if not "%JAVA_HOME%"=="" goto CheckJavaExe
-echo Error - The JAVA_HOME env variable MUST be set.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:CheckJavaExe
-if not exist "%JAVA_HOME%\bin" goto FailJavaHome
-if not exist "%JAVA_HOME%\bin\java.exe" goto FailJavaHome
-set JAVA="%JAVA_HOME%\bin\java.exe"
-goto StartDeployer
-
-:FailJavaHome
-echo Error - Unable to locate Java binary under the JAVA_HOME:
-echo   JAVA_HOME: [ %JAVA_HOME%\bin\java.exe ]
-echo.
-set ERRORLEVEL=1
-goto End
-
-:StartDeployer
-%JAVA% -jar %SHUTDOWN_JAR% %ARGS%
-
-:End
-echo.
-@endlocal
+call "%EXECUTABLE%" stop %CMD_LINE_ARGS%
 
+:end

Modified: geronimo/trunk/modules/scripts/src/resources/bin/shutdown.sh
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/scripts/src/resources/bin/shutdown.sh?rev=355032&r1=355031&r2=355032&view=diff
==============================================================================
--- geronimo/trunk/modules/scripts/src/resources/bin/shutdown.sh (original)
+++ geronimo/trunk/modules/scripts/src/resources/bin/shutdown.sh Wed Dec  7 23:50:47 2005
@@ -15,44 +15,46 @@
 #   limitations under the License.
 
 # --------------------------------------------------------------------
+# Shutdown script file for Geronimo.
+#
+# This script calls the geronimo.sh script passing "stop" as the
+# first argument followed by the arguments supplied by the caller.
+#
+# Refer to the documentation in the geronimo.sh file for information
+# on environment variables etc.
+#
+# This script is based upon Tomcat's shutdown.sh file to enable
+# those familiar with Tomcat to easily stop Geronimo.
+# 
+# Alternatively you can use the more comprehensive geronimo.sh file 
+# directly.
+#
+# Usage:  shutdown.sh [geronimo_args ...]
+#
 # $Rev$ $Date$
 # --------------------------------------------------------------------
 
-ARGS=
-
-if [ -z "$JAVA_HOME" ]; then
-    JAVA=`which java`
-    if [ -z "$JAVA" ]; then
-        echo "Unable to locate Java binary. Please add it to the PATH."
-        exit 1
-    fi
-    JAVA_BIN=`dirname $JAVA`
-    JAVA_HOME=$JAVA_BIN/..
-fi
-
-JAVA=$JAVA_HOME/bin/java
-if [ ! -f "$JAVA" ]; then 
-    echo "Unable to locate Java"
-    exit 1
-fi
-
+# resolve links - $0 may be a softlink
 PRG="$0"
+
 while [ -h "$PRG" ] ; do
-    ls=`ls -ld "$PRG"`
-    link=`expr "$ls" : '.*-> \(.*\)$'`
-    if expr "$link" : '.*/.*' > /dev/null; then
-        PRG="$link"
-    else
-        PRG=`dirname "$PRG"`/"$link"
-    fi
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '.*/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
 done
-
+ 
 PRGDIR=`dirname "$PRG"`
-SHUTDOWN_JAR=$PRGDIR/shutdown.jar
+EXECUTABLE=geronimo.sh
 
-if [ ! -f "$SHUTDOWN_JAR" ]; then 
-    echo "Unable to locate the $SHUTDOWN_JAR jar"
-    exit 1
+# Check that target executable exists
+if [ ! -x "$PRGDIR"/"$EXECUTABLE" ]; then
+  echo "Cannot find $PRGDIR/$EXECUTABLE"
+  echo "This file is needed to run this program"
+  exit 1
 fi
 
-$JAVA $ARGS -jar $SHUTDOWN_JAR "$@"
+exec "$PRGDIR"/"$EXECUTABLE" stop "$@"

Modified: geronimo/trunk/modules/scripts/src/resources/bin/startup.bat
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/scripts/src/resources/bin/startup.bat?rev=355032&r1=355031&r2=355032&view=diff
==============================================================================
--- geronimo/trunk/modules/scripts/src/resources/bin/startup.bat (original)
+++ geronimo/trunk/modules/scripts/src/resources/bin/startup.bat Wed Dec  7 23:50:47 2005
@@ -1,78 +1,78 @@
-@rem
-@rem  Copyright 2005 The Apache Software Foundation
-@rem
-@rem   Licensed under the Apache License, Version 2.0 (the "License");
-@rem   you may not use this file except in compliance with the License.
-@rem   You may obtain a copy of the License at
-@rem
-@rem      http://www.apache.org/licenses/LICENSE-2.0
-@rem
-@rem   Unless required by applicable law or agreed to in writing, software
-@rem   distributed under the License is distributed on an "AS IS" BASIS,
-@rem   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-@rem   See the License for the specific language governing permissions and
-@rem   limitations under the License.
-@rem
-@rem --------------------------------------------------------------------
-@rem $Rev$ $Date$
-@rem --------------------------------------------------------------------
-@echo off
-
-@rem Verify we are running on Windows XP or Server
-if not "%OS%"=="Windows_NT" goto FailOS
-setlocal
-goto Init
-
-:FailOS
-echo Error - Unrecognized OS type.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:Init
-@rem Capture any passed in arguments
-set ARGS=%*
-@rem Capture the current dir the script was started in
-set CUR_DIR="%cd%"
-for %%z in (%CUR_DIR%) do set CUR_DIR=%%~sz
-
-@rem Set the path to the server.jar
-set SERVER_JAR="%~dp0server.jar"
-for %%z in (%SERVER_JAR%) do set SERVER_JAR=%%~sz
-
-:CheckServerJar
-@rem Verify the server.jar exists:
-if exist "%SERVER_JAR%" goto CheckJavaHome
-echo Error - Unable to locate the server jar file.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:CheckJavaHome
-for %%z in ("%JAVA_HOME%") do set JAVA_HOME=%%~sz
-if not "%JAVA_HOME%"=="" goto CheckJavaExe
-echo Error - The JAVA_HOME env variable MUST be set.
-echo.
-set ERRORLEVEL=1
-goto End
-
-:CheckJavaExe
-if not exist "%JAVA_HOME%\bin" goto FailJavaHome
-if not exist "%JAVA_HOME%\bin\java.exe" goto FailJavaHome
-set JAVA="%JAVA_HOME%\bin\java.exe"
-goto StartServer
-
-:FailJavaHome
-echo Error - Unable to locate Java binary under the JAVA_HOME:
-echo   JAVA_HOME: [ %JAVA_HOME%\bin\java.exe ]
-echo.
-set ERRORLEVEL=1
-goto End
-
-:StartServer
-%JAVA% -jar %SERVER_JAR% %ARGS%
-
-:End
-echo.
-@endlocal
-
+@REM
+@REM  Copyright 2005 The Apache Software Foundation
+@REM
+@REM   Licensed under the Apache License, Version 2.0 (the "License");
+@REM   you may not use this file except in compliance with the License.
+@REM   You may obtain a copy of the License at
+@REM
+@REM      http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM   Unless required by applicable law or agreed to in writing, software
+@REM   distributed under the License is distributed on an "AS IS" BASIS,
+@REM   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+@REM   See the License for the specific language governing permissions and
+@REM   limitations under the License.
+@REM
+@REM --------------------------------------------------------------------
+@REM Startup batch file for Geronimo that starts Geronimo in a new window.
+@REM
+@REM This batch file calls the geronimo.bat script passing "start" as the
+@REM first argument followed by the arguments supplied by the caller.
+@REM
+@REM Refer to the documentation in the geronimo.bat file for information
+@REM on environment variables etc.
+@REM
+@REM This batch file is based upon Tomcat's startup.bat file to enable
+@REM those familiar with Tomcat to quickly get started with Geronimo.
+@REM 
+@REM Alternatively you can use the more comprehensive geronimo.bat file 
+@REM directly.
+@REM
+@REM Usage:  startup [geronimo.bat_args] [geronimo_args ...]
+@REM
+@REM $Rev$ $Date$
+@REM --------------------------------------------------------------------
+
+if "%OS%" == "Windows_NT" setlocal
+
+@REM Guess GERONIMO_HOME if not defined
+set CURRENT_DIR=%cd%
+if not "%GERONIMO_HOME%" == "" goto gotHome
+set GERONIMO_HOME=%CURRENT_DIR%
+if exist "%GERONIMO_HOME%\bin\geronimo.bat" goto okHome
+cd ..
+set GERONIMO_HOME=%cd%
+cd %CURRENT_DIR%
+:gotHome
+if exist "%GERONIMO_HOME%\bin\geronimo.bat" goto okHome
+echo The GERONIMO_HOME environment variable is not defined correctly
+echo This environment variable is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okHome
+
+set EXECUTABLE=%GERONIMO_HOME%\bin\geronimo.bat
+
+@REM Check that target executable exists
+if exist "%EXECUTABLE%" goto okExec
+echo Cannot find %EXECUTABLE%
+echo This file is needed to run this program
+set ERRORLEVEL=1
+goto end
+:okExec
+
+@REM Get remaining unshifted command line arguments and save them in the
+set CMD_LINE_ARGS=
+:setArgs
+if ""%1""=="""" goto doneSetArgs
+set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
+shift
+goto setArgs
+:doneSetArgs
+
+call "%EXECUTABLE%" start %CMD_LINE_ARGS%
+
+:end
+
+@REM pause the batch file if GERONIMO_BATCH_PAUSE is set to 'on'
+if "%GERONIMO_BATCH_PAUSE%" == "on" pause

Modified: geronimo/trunk/modules/scripts/src/resources/bin/startup.sh
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/scripts/src/resources/bin/startup.sh?rev=355032&r1=355031&r2=355032&view=diff
==============================================================================
--- geronimo/trunk/modules/scripts/src/resources/bin/startup.sh (original)
+++ geronimo/trunk/modules/scripts/src/resources/bin/startup.sh Wed Dec  7 23:50:47 2005
@@ -1,58 +1,74 @@
-#!/bin/sh
-#
-#  Copyright 2005 The Apache Software Foundation
-# 
-#   Licensed under the Apache License, Version 2.0 (the "License");
-#   you may not use this file except in compliance with the License.
-#   You may obtain a copy of the License at
-# 
-#      http://www.apache.org/licenses/LICENSE-2.0
-# 
-#   Unless required by applicable law or agreed to in writing, software
-#   distributed under the License is distributed on an "AS IS" BASIS,
-#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-#   See the License for the specific language governing permissions and
-#   limitations under the License.
-
-# --------------------------------------------------------------------
-# $Rev$ $Date$
-# --------------------------------------------------------------------
-
-ARGS=
-
-if [ -z "$JAVA_HOME" ]; then
-    JAVA=`which java`
-    if [ -z "$JAVA" ]; then
-        echo "Unable to locate Java binary. Please add it to the PATH."
-        exit 1
-    fi
-    JAVA_BIN=`dirname $JAVA`
-    JAVA_HOME=$JAVA_BIN/..
-fi
-
-JAVA=$JAVA_HOME/bin/java
-if [ ! -f "$JAVA" ]; then 
-    echo "Unable to locate Java"
-    exit 1
-fi
-
-PRG="$0"
-while [ -h "$PRG" ] ; do
-    ls=`ls -ld "$PRG"`
-    link=`expr "$ls" : '.*-> \(.*\)$'`
-    if expr "$link" : '.*/.*' > /dev/null; then
-        PRG="$link"
-    else
-        PRG=`dirname "$PRG"`/"$link"
-    fi
-done
-
-PRGDIR=`dirname "$PRG"`
-SERVER_JAR=$PRGDIR/server.jar
-
-if [ ! -f "$SERVER_JAR" ]; then 
-    echo "Unable to locate the $SERVER_JAR jar"
-    exit 1
-fi
-
-$JAVA $ARGS -jar $SERVER_JAR "$@" 
+#!/bin/sh
+#
+#  Copyright 2005 The Apache Software Foundation
+# 
+#   Licensed under the Apache License, Version 2.0 (the "License");
+#   you may not use this file except in compliance with the License.
+#   You may obtain a copy of the License at
+# 
+#      http://www.apache.org/licenses/LICENSE-2.0
+# 
+#   Unless required by applicable law or agreed to in writing, software
+#   distributed under the License is distributed on an "AS IS" BASIS,
+#   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#   See the License for the specific language governing permissions and
+#   limitations under the License.
+
+# --------------------------------------------------------------------
+# Startup script file for Geronimo that starts Geronimo in the background.
+#
+# This script calls the geronimo.sh script passing "start" as the
+# first argument followed by the arguments supplied by the caller.
+#
+# Refer to the documentation in the geronimo.sh file for information
+# on environment variables etc.
+#
+# This script is based upon Tomcat's startup.sh file to enable
+# those familiar with Tomcat to quickly get started with Geronimo.
+# 
+# Alternatively you can use the more comprehensive geronimo.sh file 
+# directly.
+#
+# Usage:  startup.sh [geronimo.sh_args] [geronimo_args ...]
+#
+# $Rev$ $Date$
+# --------------------------------------------------------------------
+
+os400=false
+case "`uname`" in
+CYGWIN*) cygwin=true;;
+OS400*) os400=true;;
+esac
+
+# resolve links - $0 may be a softlink
+PRG="$0"
+
+while [ -h "$PRG" ] ; do
+  ls=`ls -ld "$PRG"`
+  link=`expr "$ls" : '.*-> \(.*\)$'`
+  if expr "$link" : '.*/.*' > /dev/null; then
+    PRG="$link"
+  else
+    PRG=`dirname "$PRG"`/"$link"
+  fi
+done
+ 
+PRGDIR=`dirname "$PRG"`
+EXECUTABLE=geronimo.sh
+
+# Check that target executable exists
+if $os400; then
+  # -x will Only work on the os400 if the files are: 
+  # 1. owned by the user
+  # 2. owned by the PRIMARY group of the user
+  # this will not work if the user belongs in secondary groups
+  eval
+else
+  if [ ! -x "$PRGDIR"/"$EXECUTABLE" ]; then
+    echo "Cannot find $PRGDIR/$EXECUTABLE"
+    echo "This file is needed to run this program"
+    exit 1
+  fi
+fi 
+
+exec "$PRGDIR"/"$EXECUTABLE" start "$@"

Modified: geronimo/trunk/modules/system/src/java/org/apache/geronimo/system/main/Daemon.java
URL: http://svn.apache.org/viewcvs/geronimo/trunk/modules/system/src/java/org/apache/geronimo/system/main/Daemon.java?rev=355032&r1=355031&r2=355032&view=diff
==============================================================================
--- geronimo/trunk/modules/system/src/java/org/apache/geronimo/system/main/Daemon.java (original)
+++ geronimo/trunk/modules/system/src/java/org/apache/geronimo/system/main/Daemon.java Wed
Dec  7 23:50:47 2005
@@ -289,7 +289,7 @@
             GBeanQuery query = new GBeanQuery(null, PersistentConfigurationList.class.getName());
 
             if (configs.isEmpty()) {
-                // -override wasn't used (nothing explicit), see what was running before
+                // --override wasn't used (nothing explicit), see what was running before
                 Set configLists = kernel.listGBeans(query);
                 for (Iterator i = configLists.iterator(); i.hasNext();) {
                     ObjectName configListName = (ObjectName) i.next();



Mime
View raw message